Subject: Re: [PATCH v2 3/3] git-p4: Add test case for complex branch import

From: Pete Wyckoff <[email-masked]>
Date: Wed, 25 Jan 2012 07:34:25 -0500

[email-masked] wrote on Wed, 25 Jan 2012 01:23 +0000:
> On Mon, Jan 23, 2012 at 10:40 PM, Pete Wyckoff <[email-masked]> wrote:
> > How about taking what's below and just squashing it in.  It's
> > incremental on your changes and would go well with Luke's series
> > that fixes a bunch of scattered quoting issues similarly.
> >
> > The change to "describe %s" is unnecessary, but makes all the
> > invocations look similar.  You can leave it out.
> 
> I've squashed your patch, but kept the "describe %s" fix in a separate
> commit.
> 
> >> BTW, and on an unrelated topic, are any test cases failing on your side?
> >
> > I do run the tests regularly, and your series is good.  There's
> > the 'clone --use-client-spec' one that is broken until my
> > 2ea09b5 (git-p4: adjust test to adhere to stricter useClientSpec,
> > 2012-01-11) is merged.  It's on pu.
> 
> Tests in t9809-git-p4-client-view.sh were failing for me because I'm
> using dash instead of bash. Please check patch below for a fix.
> 
> Test 15 of t9800-git-p4-basic.sh is still failing and I've not been able
> to pinpoint the problem. I can send you the logs off-list, if you want.
> 
> Thanks,
> Vitor
> 
> 
> 
> diff --git a/t/t9809-git-p4-client-view.sh b/t/t9809-git-p4-client-view.sh
> index c9471d5..5b0ad99 100755
> --- a/t/t9809-git-p4-client-view.sh
> +++ b/t/t9809-git-p4-client-view.sh
> @@ -31,7 +31,7 @@ client_view() {
>  #
>  check_files_exist() {
>         ok=0 &&
> -       num=${#@} &&
> +       num=$# &&
>         for arg ; do
>                 test_path_is_file "$arg" &&
>                 ok=$(($ok + 1))
> 

Yes, thanks.  Plain old $# works fine, even if the arguments have
spaces.  I'll hang onto this with some other work in the same
area and submit it eventually.

		-- Pete